org.richfaces.renderkit

## Class SelectHelper

- java.lang.Object
- - org.richfaces.renderkit.SelectHelper

-     public final class SelectHelper
      extends Object

  Author:
    abelevich, Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `OPTIONS_ENABLE_MANUAL_INPUT`
    `static String` | `OPTIONS_INPUT_DEFAULT_LABEL`
    `static String` | `OPTIONS_LIST_ITEMS`
    `static String` | `OPTIONS_LIST_SELECT_FIRST`
    `static String` | `OPTIONS_SHOWCONTROL`
    `static Map<String,org.richfaces.ui.common.ComponentAttribute>` | `SELECT_LIST_HANDLER_ATTRIBUTES`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addSelectCssToOptions(AbstractSelectComponent abstractSelect, Map<String,Object> options, String[] defaultCss)`
    `static void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems, String itemHtmlElement, String defaultItemCss)`
    `static ClientSelectItem` | `generateClientSelectItem(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, javax.faces.model.SelectItem selectItem, int sortOrder, boolean selected)`
    `static List<ClientSelectItem>` | `getConvertedSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `static String` | `getSelectInputLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPTIONS_SHOWCONTROL

          public static final String OPTIONS_SHOWCONTROL

      See Also:
        Constant Field Values

    - #### OPTIONS_LIST_ITEMS

          public static final String OPTIONS_LIST_ITEMS

      See Also:
        Constant Field Values

    - #### OPTIONS_ENABLE_MANUAL_INPUT

          public static final String OPTIONS_ENABLE_MANUAL_INPUT

      See Also:
        Constant Field Values

    - #### OPTIONS_LIST_SELECT_FIRST

          public static final String OPTIONS_LIST_SELECT_FIRST

      See Also:
        Constant Field Values

    - #### OPTIONS_INPUT_DEFAULT_LABEL

          public static final String OPTIONS_INPUT_DEFAULT_LABEL

      See Also:
        Constant Field Values

    - #### SELECT_LIST_HANDLER_ATTRIBUTES

          public static final Map<String,org.richfaces.ui.common.ComponentAttribute> SELECT_LIST_HANDLER_ATTRIBUTES

  - ### Method Detail

    - #### getConvertedSelectItems

          public static List<ClientSelectItem> getConvertedSelectItems(javax.faces.context.FacesContext facesContext,
                                                       javax.faces.component.UIComponent component)

    - #### generateClientSelectItem

          public static ClientSelectItem generateClientSelectItem(javax.faces.context.FacesContext facesContext,
                                                  javax.faces.component.UIComponent component,
                                                  javax.faces.model.SelectItem selectItem,
                                                  int sortOrder,
                                                  boolean selected)

    - #### encodeItems

          public static void encodeItems(javax.faces.context.FacesContext facesContext,
                         javax.faces.component.UIComponent component,
                         List<ClientSelectItem> clientSelectItems,
                         String itemHtmlElement,
                         String defaultItemCss)
                                  throws IOException

      Throws:
        `IOException`

    - #### getSelectInputLabel

          public static String getSelectInputLabel(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)

    - #### addSelectCssToOptions

          public static void addSelectCssToOptions(AbstractSelectComponent abstractSelect,
                                   Map<String,Object> options,
                                   String[] defaultCss)

Copyright © 2014 JBoss by Red Hat. All rights reserved.